let helper = {
    isString (instance) {
        return typeof instance === 'string';
    },
    isNumber (instance) {
        if (this.isString(instance)) {
            return /^\d+(\.\d+)?$/.test(instance);
        }
        return typeof instance === 'number';
    },
    isArray (instance) {
        return instance instanceof Array;
    },
    isObject (instance) {
        return !this.isArray(instance) && typeof instance === 'object';
    },
    isBoolean (instance) {
        return typeof instance === 'boolean';
    },
    isNull (instance) {
        return instance === null;
    },
    isUndefined (instance) {
        return typeof instance === 'undefined';
    },
    isEmpty (instance) {
        return [
            '',
            '{}',
            '[]',
            'null',
            undefined
        ].indexOf(JSON.stringify(instance)) !== -1;
    }
};

export default helper;
